using System;
using System.Windows.Forms;
using LinqToTwitter;

namespace Azyobuzi.Twirunrun
{
    public static class Program
    {
        /// <summary>
        /// アプリケーションのメイン エントリ ポイントです。
        /// </summary>
        [STAThread]
        static void Main()
        {
            //エラー処理
            //Application.SetUnhandledExceptionMode(UnhandledExceptionMode.ThrowException);
            //AppDomain.CurrentDomain.UnhandledException +=
            //    (sender, e) => new ExceptionViewer(e.ExceptionObject as Exception).ShowDialog();
            Application.ThreadException +=
                (sender, e) => new ExceptionViewer(e.Exception).Show();

            //ウィンドウ表示
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            Application.Run(new MainForm());

            //設定保存
            Settings.Instance.Save();
        }
    }
}
